import type { Range } from "vscode-languageserver-types";
import { SourceFile, SyntaxNode } from "../types.js";
import type { DocumentLike } from "../index.js";
export declare function getStart(sourceFile: SourceFile, node: SyntaxNode): number;
export declare function syntaxNodesToRanges(doc: DocumentLike, sourceFile: SourceFile, nodes: SyntaxNode[]): Range[];
export declare function syntaxNodeToRange(doc: DocumentLike, sourceFile: SourceFile, node: SyntaxNode): {
    start: import("vscode-languageserver-types").Position;
    end: import("vscode-languageserver-types").Position;
};
export declare function escapeIdentifierText(text: string): string;
export declare function assertNever(v: never): never;
